Package org.jCharts.types

# Class PieLabelType

java.lang.Object
org.jCharts.types.IntType
org.jCharts.types.PieLabelType

All Implemented Interfaces:
  `Serializable`

public class PieLabelType extends IntType

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final PieLabelType`
`LEGEND_LABELS`
`static final PieLabelType`
`NO_LABELS`
`static final PieLabelType`
`VALUE_LABELS`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`PieLabelType(int value)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(PieLabelType pieLabelType)`

### Methods inherited from class org.jCharts.types.IntType

`getInt`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NO_LABELS

public static final PieLabelType NO_LABELS

### VALUE_LABELS

public static final PieLabelType VALUE_LABELS

### LEGEND_LABELS

public static final PieLabelType LEGEND_LABELS

## Constructor Details

### PieLabelType

private PieLabelType(int value)

Parameters:
  `value` -

## Method Details

### equals

public boolean equals(PieLabelType pieLabelType)